Comparing builds

Builds builder@2022-09-13 13:32:37Z on debian-11 and builder@2024-02-19 15:41:48Z on debian-11

Compare in reverse direction

Opam packages removed

arp.3.0.0
base.v0.15.0
ca-certs-nss.3.80
conf-pkg-config.2
cstruct-lwt.6.1.1
cstruct-sexp.6.1.1
ethernet.3.0.0
ipaddr-sexp.5.3.1
lwt-dllist.1.0.1
macaddr-cstruct.5.3.1
mirage-clock.4.2.0
mirage-flow.3.0.0
mirage-kv.5.0.0
mirage-net.4.0.0
mirage-no-solo5.1
mirage-no-xen.1
mirage-profile.0.9.1
mirage-random.3.0.0
mirage-time.3.0.0
num.1.4
ocaml-compiler-libs.v0.12.4
parsexp.v0.15.0
ppx_cstruct.6.1.1
ppx_derivers.1.2.1
ppx_sexp_conv.v0.15.1
ppxlib.0.27.0
sexplib.v0.15.1
stdlib-shims.0.3.0
tcpip.7.1.2
tls-mirage.0.15.3

New opam packages installed

dns-client-lwt.7.0.99~dev
mirage-crypto-rng-lwt.0.11.2
tls-lwt.0.17.3

Opam packages with version changes

angstrom.0.15.0->0.16.0
base64.3.5.0->3.5.1
bigstringaf.0.9.0->0.9.1
builder.0.3.2~dev->0.3.99~dev
cmdliner.1.1.1->1.2.0
csexp.1.5.1->1.5.2
cstruct.6.1.1->6.2.0
dns.6.3.0->7.0.99~dev
dns-client.6.3.0->7.0.99~dev
dune.3.4.1->3.14.0
dune-configurator.3.4.1->3.14.0
duration.0.2.0->0.2.1
faraday.0.8.1->0.8.2
faraday-lwt.0.8.1->0.8.2
faraday-lwt-unix.0.8.1->0.8.2
h2.0.9.0->0.11.0
happy-eyeballs.0.3.0->0.6.0
happy-eyeballs-lwt.0.3.0->0.6.0
hpack.0.9.0->0.11.0
http-lwt-client.0.0.7->0.2.6
ipaddr.5.3.1->5.5.0
lru.0.3.0->0.3.1
lwt.5.6.1->5.7.0
macaddr.5.3.1->5.5.0
metrics.0.4.0->0.4.1
mirage-crypto.0.10.6->0.11.2
mirage-crypto-ec.0.10.6->0.11.2
mirage-crypto-pk.0.10.6->0.11.2
mirage-crypto-rng.0.10.6->0.11.2
mtime.1.4.0->2.0.0
ocaml.4.14.0->4.14.1
ocaml-base-compiler.4.14.0->4.14.1
ocamlbuild.0.14.1->0.14.3
ocamlfind.1.9.5->1.9.6
psq.0.2.0->0.2.1
ptime.1.0.0->1.1.0
sexplib0.v0.15.1->v0.16.0
tls.0.15.3->0.17.3
topkg.1.0.5->1.0.7
x509.0.16.0->0.16.5
zarith.1.12->1.13

Opam packages with changes in their opam file

ocaml-options-vanilla.1 (and additional changes)


System packages removed

libglib2.0-0 2.66.8-1
libglib2.0-data 2.66.8-1
pkg-config 0.29.2-1
shared-mime-info 2.0-1
xdg-user-dirs 0.17-2

System packages changed

base-files 11.1+deb11u1->11.1+deb11u6
bash 5.1-2+b3->5.1-2+deb11u1
bsdutils 1:2.36.1-8->1:2.36.1-8+deb11u1
builder 0.3.1->0.3.2-15-gbb3a686
dpkg 1.20.9->1.20.12
dpkg-dev 1.20.12->1.20.13
file 1:5.39-3->1:5.39-3+deb11u1
git 1:2.30.2-1->1:2.30.2-1+deb11u2
git-man 1:2.30.2-1->1:2.30.2-1+deb11u2
gpgv 2.2.27-2->2.2.27-2+deb11u2
gzip 1.10-4->1.10-4+deb11u1
libblkid1 2.36.1-8->2.36.1-8+deb11u1
libc-bin 2.31-13+deb11u2->2.31-13+deb11u5
libc-dev-bin 2.31-13+deb11u4->2.31-13+deb11u8
libc6 2.31-13+deb11u4->2.31-13+deb11u8
libc6-dev 2.31-13+deb11u4->2.31-13+deb11u8
libcurl3-gnutls 7.74.0-1.3+deb11u3->7.74.0-1.3+deb11u11
libdpkg-perl 1.20.12->1.20.13
libexpat1 2.2.10-2+deb11u3->2.2.10-2+deb11u5
libgnutls30 3.7.1-5->3.7.1-5+deb11u2
libgssapi-krb5-2 1.18.3-6+deb11u1->1.18.3-6+deb11u3
libk5crypto3 1.18.3-6+deb11u1->1.18.3-6+deb11u3
libkrb5-3 1.18.3-6+deb11u1->1.18.3-6+deb11u3
libkrb5support0 1.18.3-6+deb11u1->1.18.3-6+deb11u3
liblzma5 5.2.5-2->5.2.5-2.1~deb11u1
libmagic-mgc 1:5.39-3->1:5.39-3+deb11u1
libmagic1 1:5.39-3->1:5.39-3+deb11u1
libmount1 2.36.1-8->2.36.1-8+deb11u1
libnghttp2-14 1.43.0-1->1.43.0-1+deb11u1
libpcre2-8-0 10.36-2->10.36-2+deb11u1
libperl5.32 5.32.1-4+deb11u2->5.32.1-4+deb11u3
libseccomp2 2.5.1-1->2.5.1-1+deb11u1
libsmartcols1 2.36.1-8->2.36.1-8+deb11u1
libssl1.1 1.1.1k-1+deb11u1->1.1.1n-0+deb11u4
libsystemd0 247.3-6->247.3-7+deb11u1
libtasn1-6 4.16.0-2->4.16.0-2+deb11u1
libudev1 247.3-6->247.3-7+deb11u1
libuuid1 2.36.1-8->2.36.1-8+deb11u1
libxml2 2.9.10+dfsg-6.7+deb11u2->2.9.10+dfsg-6.7+deb11u4
linux-libc-dev 5.10.140-1->5.10.209-2
mount 2.36.1-8->2.36.1-8+deb11u1
openssl 1.1.1n-0+deb11u3->1.1.1w-0+deb11u1
orb 0.0.2-4-ged60f97->0.0.2-15-g5a9081c
perl 5.32.1-4+deb11u2->5.32.1-4+deb11u3
perl-base 5.32.1-4+deb11u2->5.32.1-4+deb11u3
perl-modules-5.32 5.32.1-4+deb11u2->5.32.1-4+deb11u3
sysvinit-utils 2.96-7->2.96-7+deb11u1
tzdata 2021a-1+deb11u1->2021a-1+deb11u8
util-linux 2.36.1-8->2.36.1-8+deb11u1
zlib1g 1:1.2.11.dfsg-2->1:1.2.11.dfsg-2+deb11u2